<?xml version="1.0" encoding="utf-8"?>
<document caption="Формирование данных по требованиям Минфина России" version="1.0.6" CRC="683453222" javascriptDocumentClassName="F04300.FDocument">
  <rules>
    <import id="JSHandlebars" sourceFile="Scripts\handlebars-v4.0.5.js" />
    <import id="JSStageSettings" sourceFile="MainLogic\ObasStageSettings.js" />
    <import id="JSTableFieldInfo" sourceFile="MainLogic\TableFieldInfo.js" />
    <import id="JSEvents" sourceFile="MainLogic\Events.js" />
    <import id="JSTableInfo" sourceFile="MainLogic\TableInfo.js" />
    <import id="JSRROTables" sourceFile="MainLogic\RROTables.js" />
    <import id="JSSprTables" sourceFile="MainLogic\SprTables.js" />
    <import id="JSObasTableCollection" sourceFile="MainLogic\ObasTableCollection.js" />
    <import id="JSHelper" sourceFile="MainLogic\ObasHelper.js" />
    <import id="JSFormatCollection" sourceFile="MainLogic\SheetFormatCollection.js" />
    <import id="JSCommon" sourceFile="MainLogic\CommonRules.js" />
    <import id="JSSettings" sourceFile="MainLogic\DocumentSettings.js" />
    <import id="JSBaseDocument" sourceFile="MainLogic\BaseDocumentObject.js" />
    <import id="JSObasTableWithKeys" sourceFile="MainLogic\ObasTableWithKeys.js" />
    <import id="JSAnalyticsKosguInterface" sourceFile="MainLogic\FAnalyticsKosgu\FAnalyticsKosguSheet.js" />
    <import id="JSAnalyticsKosguTable" sourceFile="MainLogic\FAnalyticsKosgu\FAnalyticsKosguTable.js" />
    <import id="JSUpdate" sourceFile="Templates\Logic\Current\F04_300\F04_300_UpdateRules.js" />
    <import id="JSInterface" sourceFile="Templates\Logic\Current\F04_300\F04_300_InterfaceRules.js" />
    <import id="JSTable" sourceFile="Templates\Logic\Current\F04_300\F04_300_TableRules.js" />
    <import id="JSExport" sourceFile="Templates\Logic\Current\F04_300\F04_300_ExportRules.js" />
    <import id="JSDocument" sourceFile="Templates\Logic\Current\F04_300\F04_300_Document.js" />
  </rules>
  <tables>
    <linkedtable id="FOIV" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="FCR" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="CSR" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="Program" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="SubProgram" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="DirectionCost" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="VR" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="MainAction" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="OBAS_SPR" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="NPAType" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="NPAStatuses" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="KOSGU" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="OKVED" sourceFile="MainData\Spr_Forms_STAGE1.xml" />
    <linkedtable id="RRO_OBAS_VERSIONS" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_OBAS" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_DATA" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_OBAS_Recvisits" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_OBAS_SC" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_OBAS_Numbers" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="SecurityTypes" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="ChangeType" sourceFile="MainData\Spr_Ped.xml" />
    <linkedtable id="RRO_KU_Data" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="FileType" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="BuildParams" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_Expend_Shedule" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_OfficeChiefRecvisits" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_FinanceChiefRecvisits" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_ExecutorRecvisits" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="SELECTED_FOIV" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="tRRO_OBAS_VERSIONS" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="VR_COSGUs" sourceFile="MainData\Spr_Forms_STAGE1.xml" />
    <linkedtable id="Files" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="dual" sourceFile="MainData\Spr_Main.xml" />
    <extendedtable id="tRRO_OBAS_VERSIONS" table="RRO_OBAS_VERSIONS"  keys="KBK_OwnerVR;ChangeType_Code;DateApprove">
      <fields>
        <field name="Y1_D" datatype="float" precision="2">
          <rules>
            <rule name="ObasTableCollection.ObasVersionSumTable.AggregateEventHandler" event="OnAggregate" />
          </rules>
        </field>
        <field name="Y2_D" datatype="float" precision="2">
          <rules>
            <rule name="ObasTableCollection.ObasVersionSumTable.AggregateEventHandler" event="OnAggregate" />
          </rules>
        </field>
        <field name="Y3_D" datatype="float" precision="2">
          <rules>
            <rule name="ObasTableCollection.ObasVersionSumTable.AggregateEventHandler" event="OnAggregate" />
          </rules>
        </field>
        <field name="Y4_D" datatype="float" precision="2">
          <rules>
            <rule name="ObasTableCollection.ObasVersionSumTable.AggregateEventHandler" event="OnAggregate" />
          </rules>
        </field>
      </fields>
      <rules>
        <rule name="ObasTableCollection.ObasVersionSumTable.FieldsCount" event="OnGetColumnsCount" />
        <rule name="ObasTableCollection.ObasVersionSumTable.GetFieldIndexEventHandler" event="OnGetColumnIndex" />
        <rule name="ObasTableCollection.ObasVersionSumTable.GetFieldValueEventHandler" event="OnGetColumnValue" />
      </rules>
    </extendedtable>
    <table id="MainParameters" caption="Основные параметры" canAdd="false" canClear="false" canDelete="false">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="FOIV_ID" table="FOIV" tableKeyField="Key" tableFields="Code;Name" />
        <sourcefield name="FCR_ID" table="FCR" tableKeyField="Key" tableFields="Code;Name" />
        <sourcefield name="VR_ID" table="VR" tableKeyField="Key" tableFields="Code;Name" />
        <sourcefield name="CSR_ID" table="CSR" tableKeyField="Key" tableFields="Code;Name" />
        <sourcefield name="MainAction_ID" table="MainAction" tableKeyField="Key" tableFields="Code;Name" />
        <lookupfield name="FCR_NAME" keys="FCR_ID" lookupTable="FCR" lookupKeys="Key" lookupFields="Name" />
        <sourcefield name="RRO_OBAS_VERSIONS_ID" table="RRO_OBAS_VERSIONS" tableKeyField="Key" tableFields="Key" />
        <sourcefield name="FileType_ID" table="FileType" tableKeyField="Key" tableFields="Key" />
        <sourcefield name="Program_ID" table="Program" tableKeyField="Key" tableFields="Key" />
        <sourcefield name="SubProgram_ID" table="SubProgram" tableKeyField="Key" tableFields="Key" />
        <sourcefield name="DirectionCost_ID" table="DirectionCost" tableKeyField="Key" tableFields="Key" />
      </fields>
      <data>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[1]]></el>
        </row>
      </data>
    </table>
    <table id="FormParameters" caption="Параметры формы" readonly="true">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <field name="FormSecretType" datatype="integer" caption="Признак гостайны" />
        <field name="TableNameWithTotals" datatype="string" size="50" />
        <field name="TableWithKOSGU" datatype="string" size="50" />
        <field name="AnalyticsTable" datatype="string" size="50" />
        <field name="AnalyticsStartF" datatype="integer" caption="Начальный индекс обработки полей" />
        <field name="AnalyticsEndF" datatype="integer" caption="Конечный идекс обработки полей" />
      </fields>
      <data>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[1]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[F04_300_Total]]></el>
          <el><![CDATA[KOSGU_Data]]></el>
        </row>
      </data>
    </table>
    <!--F04_300-->
    <table id="F04_300_Total" caption="Итоги раздела 1">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <field name="StrKey" datatype="integer" syncKey="true" />
        <field name="Y1" datatype="float" size="20">
          <rules>
            <rule name="%Doc%.TableP1Total.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y2" datatype="float" size="20">
          <rules>
            <rule name="%Doc%.TableP1Total.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y3" datatype="float" size="20">
          <rules>
            <rule name="%Doc%.TableP1Total.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y4" datatype="float" size="20">
          <rules>
            <rule name="%Doc%.TableP1Total.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="IsTotal" datatype="integer" syncKey="true" />
      </fields>
      <rules>
        <rule name="%Doc%.CommonRules.SaveTotalTable" event="OnSave" />
      </rules>
      <data>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[1]]></el>
          <el><![CDATA[1]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[1]]></el>
        </row>
      </data>
    </table>
    <table id="F04_300_R1" caption="Факторы расчета объемов бюджетных ассигнований">
      <fields>
        <field name="Key" datatype="integer" />
        <field name="INN" datatype="float" caption="ИНН" isNull="false" uniqueLabel="1"/>
        <field name="KPP" datatype="integer" caption="КПП" isNull="false" uniqueLabel="1"/>
        <field name="Name" datatype="string" size="1000" caption="Наименование" isNull="false" />
        <sourcefield name="OKVED_ID" caption="Код вида деятельности по ОКВЭД" isNull="false" table="OKVED" tableKeyField="Key" tableFields="Code;Name" />
        <field name="G5" datatype="string" size="1000" caption="Цель взноса в уставный капитал" isNull="false" uniqueLabel="1"/>
        <field name="Y1" datatype="float" caption="на текущий финансовый год" >
          <rules>
            <rule name="%Doc%.TableP1.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y2" datatype="float" caption="на очередной финансовый год" >
          <rules>
            <rule name="%Doc%.TableP1.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y3" datatype="float" caption="на первый год планового периода" >
          <rules>
            <rule name="%Doc%.TableP1.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y4" datatype="float" caption="на второй год планового периода" >
          <rules>
            <rule name="%Doc%.TableP1.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Id" datatype="guid" />
        <field name="StrCode" datatype="string" size="4" caption="Поле под код строки" />
      </fields>
      <rules>
        <rule name="%Doc%.TableP1.AfterDeleteChildsEventHandler" event="OnAfterDeleteChilds" />
        <rule name="%Doc%.TableP1.DoTableAdd" event="OnAdd" />
      </rules>
    </table>
    <!--Раздел 1.1. Аналитический раздел-->
    <table id="AnalyticsData">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="KOSGU_Id" table="KOSGU" tableKeyField="Key" tableFields="Code;Name" isNull="false" syncKey="true">
          <rules>
            <rule name="%Doc%.AnalyticsDataTable.KosguChangeEventHandler" event="OnChange" />
          </rules>
        </sourcefield>
        <field name="AnalyticCode" datatype="string" size="10" />
        <field name="AnalyticName" datatype="string" size="500" />
        <field name="Y1" datatype="float" precision="2">
          <rules>
            <rule name="ObasHelper.Get0" event="OnInit"/>
            <rule name="%Doc%.AnalyticsDataTable.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y2" datatype="float" precision="2">
          <rules>
            <rule name="ObasHelper.Get0" event="OnInit"/>
            <rule name="%Doc%.AnalyticsDataTable.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y3" datatype="float" precision="2">
          <rules>
            <rule name="ObasHelper.Get0" event="OnInit"/>
            <rule name="%Doc%.AnalyticsDataTable.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y4" datatype="float" precision="2">
          <rules>
            <rule name="ObasHelper.Get0" event="OnInit"/>
            <rule name="%Doc%.AnalyticsDataTable.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
      </fields>
      <rules>
        <rule name="%Doc%.AnalyticsDataTable.DeleteEventHandler" event="OnDelete"/>
      </rules>
      <data>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[1]]></el>
          <el><![CDATA[]]></el>
          <el><![CDATA[-]]></el>
          <el><![CDATA[Расходы, всего]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
        </row>
      </data>
    </table>
    <table id="F04_300_R2">
      <fields>
        <field name="Key" datatype="integer" />
        <sourcefield name="OwnerKey" caption="Вид" table="F04_300_R1" tableKeyField="Key" tableFields="Code;Name" syncKey="true">
          <rules>
            <rule name="%Doc%.TableNpa.OwnerKey.InitEventHandler" event="OnInit" />
          </rules>
        </sourcefield>
        <lookupfield name="INN" keys="OwnerKey" lookupTable="F04_300_R1" lookupKeys="Key" lookupFields="INN" />
        <lookupfield name="KPP" keys="OwnerKey" lookupTable="F04_300_R1" lookupKeys="Key" lookupFields="KPP" />
        <lookupfield name="Name" keys="OwnerKey" lookupTable="F04_300_R1" lookupKeys="Key" lookupFields="Name" />
        <sourcefield name="NPAType_ID" caption="Вид" isNull="false" table="NPAType" tableKeyField="Key" tableFields="Name" />
        <field name="NpaDate" datatype="datetime" caption="дата акта" isNull="false" />
        <field name="NpaNumber" datatype="string" size="50" caption="Номер акта" isNull="false" />
        <field name="NpaName" datatype="string" size="1000" caption="Наименование" isNull="false" />
        <field name="Id" datatype="guid" />
        <sourcefield name="NPAStatuses_ID" isNull="false" caption="статус" table="NPAStatuses" tableKeyField="Key" tableFields="Name" />
        <field name="NpaChangeDate" datatype="datetime" caption="предполагаемая дата изменения статуса" isNull="false" />
      </fields>
    </table>
    <table id="KOSGU_Data">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="KOSGU_Id" table="KOSGU" tableKeyField="Key" tableFields="Key" syncKey="true"/>
        <field name="SrcKey" datatype="integer" isDeltaValue="false"/>
        <field name="Y1" datatype="float" precision="2" />
        <field name="Y2" datatype="float" precision="2" />
        <field name="Y3" datatype="float" precision="2" />
        <field name="Y4" datatype="float" precision="2" />
      </fields>
      <rules>
        <rule name="%Doc%.CommonRules.SaveKosguTable" event="OnSave" />
      </rules>
      <data>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[1]]></el>
          <el><![CDATA[27561076]]></el>
          <el><![CDATA[1]]></el>
        </row>
      </data>
    </table>
  </tables>
  <sheets>
    <gridsheet title="Раздел 1" name="SHT_F4_300_r1" exportable="false" caption="1. Расчет объема затрат на предоставление бюджетных инвестиций" isShowColumnNumbers="true">
      <view table="F04_300_R1">
        <view caption="Юридическое лицо, в уставный капитал которого представляется взнос" readonly="true">
          <col width="100" caption="ИНН" name="INN" align="center" errorMessage="ИНН должен содержать 10 знаков" />
          <col width="100" caption="КПП" name="KPP" align="center" displayFormat="\d\d\d\d\d\d\d\d\d" errorMessage="КПП должен содержать 9 знаков" />
          <col width="400" caption="наименование" name="Name" align="left" />
        </view>
        <col width="100" caption="Код вида деятельности&#xD;по ОКВЭД" name="OKVED_ID" dropDownWidth="500" align="center" readonly="true" />
        <col width="300" caption="Цель предоставления бюджетных инвестиций" name="G5" readonly="true" />
        <col width="70" name="StrCode" align="center" caption="Код строки" />
        <view caption="Объем бюджетных ассигнований, руб">
          <template>
            <col width="120" name="Y{fieldName}" caption="на {caption} год" align="right" displayFormat=",0.0" />
            <rules>
              <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
              <rule name="%Doc%.CommonRules.GetYearsCaptionEventHandler" event="OnGetCaption"/>
            </rules>
          </template>
        </view>
        <editors>
          <editor id="F04_300_R1_Editor" canAdd="true" />
        </editors>
      </view>
      <view table="dual" readonly="true">
        <editors>
          <editor id="F04_300_R1_Editor" canAdd="true" />
        </editors>
      </view>
      <rules>
        <rule name="%Doc%.P1Sheet.CalcEventHandler" event="OnCalc" />
        <rule name="%Doc%.P1Sheet.FormatEventHandler" event="OnGetFormat" />
      </rules>
    </gridsheet>
    <gridsheet name="SHT_RA" isShowColumnNumbers="true" title="Раздел 1.1" caption="1.1. Аналитическое распределение по КОСГУ">
      <view table="AnalyticsData">
        <col name="AnalyticName" width="400" readonly="true" caption="Наименование показателя" />
        <col name="AnalyticCode" width="100" readonly="true" caption="Код по КОСГУ" align="center" />
        <view caption="Сумма, руб">
          <template>
            <col width="120" name="Y{fieldName}" caption="на {caption} год" displayFormat=",0.00" align="right" />
            <rules>
              <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
              <rule name="%Doc%.CommonRules.GetYearsCaptionEventHandler" event="OnGetCaption"/>
            </rules>
          </template>
        </view>
        <editors>
          <editor id="AnalyticDataEditor" canAdd="true" />
        </editors>
      </view>
      <rules>
        <rule name="%Doc%.AnalyticSheet.FormatEventHandler" event="OnGetFormat" />
        <rule name="%Doc%.AnalyticSheet.CanEditCellEventHandler" event="OnEditingCell" />
        <rule name="%Doc%.AnalyticSheet.CantEditEventHandler" event="OnCanDelete" />
        <rule name="%Doc%.AnalyticSheet.CantEditEventHandler" event="OnCanEdit" />
      </rules>
    </gridsheet>
    <gridsheet title="Раздел 2" name="SHT_F4_300_r2" exportable="false" caption="2. Сведения о нормативных правовых (правовых) актах (проектах актов), являющихся основанием для осуществления бюджетных инвестиций" isShowColumnNumbers="true">
      <view table="dual">
        <view table="F04_300_R1" readonly="true" canAdd="false" canDelete="false">
          <view caption="Юридическое лицо, в уставный капитал которого представляется взнос">
            <col width="100" caption="ИНН" name="INN" copyOnAdd="true" isMergeCells="true" align="center" />
            <col width="100" caption="КПП" name="KPP" copyOnAdd="true" isMergeCells="true" align="center" />
            <col width="400" caption="наименование" name="Name" copyOnAdd="true" isMergeCells="true" align="left" />
          </view>
          <view table="F04_300_R2" readonly="false" caption="Нормативный правовой акт (проект правового акта)" canAdd="false" canDelete="false">
            <col width="250" caption="вид" name="NPAType_ID" align="left" readonly="true" />
            <col width="75" caption="дата" name="NpaDate" align="center" readonly="true" />
            <col width="75" caption="номер" name="NpaNumber" align="center" readonly="true" />
            <col width="350" caption="наименование" name="NpaName" align="left" readonly="true" />
            <col width="200" caption="статус" name="NPAStatuses_ID" align="left" readonly="true" />
            <col width="120" caption="предполагаемая дата изменения статуса" name="NpaChangeDate" align="center" readonly="true" />
            <editors>
              <editor id="F04_300_R2_Editor" />
            </editors>
          </view>
        </view>
      </view>
      <rules>
        <rule name="%Doc%.NpaSheet.FormatEventHandler" event="OnGetFormat" />
        <rule name="%Doc%.NpaSheet.CanEditEventHandler" event="OnCanEdit" />
        <rule name="ObasHelper.GetFalse" event="OnCanDelete" />
        <rule name="ObasHelper.GetFalse" event="OnCanAdd" />
      </rules>
    </gridsheet>
    <rules>
      <rule name="%Doc%.CommonRules.GetExcelFileName" event="OnGetExportFileName" />
      <rule name="%Doc%.CommonRules.GetExcelTemplateFileName" event="OnGetTemplateFileName" />
      <rule name="%Doc%.UpdateRules.UpdateTemplate" event="OnUpdateTemplate" />
      <rule name="%Doc%.CommonRules.CheckChangeType" event="OnBeforeDocumentSave" />
      <rule name="%Doc%.CommonRules.KosguDocumentSaveEventHandler" event="OnDocumentSave" />
      <rule name="%Doc%.CommonRules.GetExportDirectory" event="OnGetDefaultExportDirectory" />
    </rules>
  </sheets>
  <editors>
    <editor id="F04_300_R1_Editor" table="F04_300_R1" caption="Факторы расчета объемов бюджетных ассигнований" width="600" height="268">
      <fieldssheet id="F04_300_R1_Editor" table="F04_300_R1">
        <field name="INN" width="90" editMask="\d{10}" errorMessage="ИНН должен содержать 10 знаков" />
        <field name="KPP" width="90" editMask="\d{9}" errorMessage="КПП должен содержать 9 знаков" />
        <field name="OKVED_ID" />
        <field name="Name" breakLine="true" />
        <field name="G5" />
      </fieldssheet>
    </editor>
    <editor id="F04_300_R2_Editor" caption="Нормативно-правовой акт" height="290">
      <fieldssheet id="F04_300_R2_Editor_1" table="F04_300_R2">
        <field name="NPAType_ID" caption="Вид" />
        <field name="NpaDate" caption="Дата" width="150" />
        <field name="NpaNumber" caption="Номер" />
        <field name="NpaName" caption="Наименование" />
        <field name="NPAStatuses_ID" width="330" caption="Статус" filterRule="%Doc%.InterfaceRules.FilterNPAStatuses" />
        <field name="NpaChangeDate" caption="Предполагаемая дата изменения статуса" />
      </fieldssheet>
    </editor>
    <editor id="AnalyticDataEditor" caption="КОСГУ">
      <fieldssheet name="AnalyticDataEditor_1" table="AnalyticsData">
        <field name="KOSGU_ID" caption="Код по КОСГУ:" filterRule="%Doc%.CommonRules.FilterKosgu" />
      </fieldssheet>
      <rules>
       <rule name="%Doc%.AnalyticSheet.AnalyticsDataCanCloseEventHandler" event="OnCanClose"/>
      </rules>
    </editor>
  </editors>
  <menu>
    <menu caption="Сервис">
      <menu caption="Выполнить пересчет данных">
        <rules>
          <rule name="%Doc%.InterfaceRules.RecalcDataMenuItemClickEventHandler" event="OnClick" />
        </rules>
      </menu>
    </menu>
    <menu caption="Разработчик">
      <menu caption="Выполнить сдвиг данных">
        <rules>
          <rule name="%Doc%.InterfaceRules.ShiftDataMenuItemClickEventHandler" event="OnClick" />
        </rules>
      </menu>
      <menu caption="Выполнить копирование данных">
        <rules>
          <rule name="%Doc%.InterfaceRules.CopyDataMenuItemClickEventHandler" event="OnClick" />
        </rules>
      </menu>
    </menu>
  </menu>
  <files />
</document>